Manage account custom domains and their deployment mappings
Get Custom Domains
Gets the account custom domains
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
Get Custom Domains › Responses
The request has succeeded.
The custom domains returned for the account.
offsetThe number of records skipped.
limitThe maximum number of records returned.
Create Custom Domain
Creates a custom domain
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
Create Custom Domain › Request Body
hostnameThe hostname to configure as a custom domain.
deploymentNameThe deployment to associate with the hostname.
stageThe stage to expose on the hostname.
isDefaultWhether this domain should be the default domain for the deployment.
isAliasWhether the domain should be configured as an alias.
Create Custom Domain › Responses
The request has succeeded.
deploymentNameThe deployment associated with the hostname.
hostnameThe hostname that was created or updated.
stageThe stage exposed by the hostname.
The DNS record required to verify domain ownership, if any.
cnameThe CNAME target for the custom domain, if any.
Delete a Custom Domain
Delete a custom domain
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
query Parameters
hostnameThe hostname of the custom domain to delete.
deploymentNameThe deployment associated with the hostname, when deleting a deployment-specific mapping.
Delete a Custom Domain › Responses
The request has succeeded.
Update a Custom Domain
Updates a custom domain
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
Update a Custom Domain › Request Body
hostnameThe hostname to update.
deploymentNameThe deployment to associate with the hostname.
isDefaultWhether this domain should be the default domain for the deployment.
Update a Custom Domain › Responses
The request has succeeded.
deploymentNameThe deployment associated with the hostname.
hostnameThe hostname that was created or updated.
stageThe stage exposed by the hostname.
The DNS record required to verify domain ownership, if any.
cnameThe CNAME target for the custom domain, if any.